Loading...
Searching...
No Matches
Dune::TypeTree::GenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNode > Struct Template Reference
dune-typetree » Transformation

`#include <dune/typetree/generictransformationdescriptors.hh>`

Inheritance diagram for Dune::TypeTree::GenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNode >:

## Static Public Member Functions

static result< TC... >::type | transform (const SourceNode &s, const Transformation &t, std::shared_ptr< TC >... children)
static result< TC... >::storage_type | transform_storage (std::shared_ptr< const SourceNode > s, const Transformation &t, std::shared_ptr< TC >... children)

## Static Public Attributes

static const bool | recursive

## Member Function Documentation

## transform()

result< TC... >::type Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, GenericCompositeNodeTransformationTemplate< SourceNode, Transformation, TransformedNode >::template result >::transform | ( | const SourceNode & | s,
|  | const Transformation & | t,
|  | std::shared_ptr< TC >... | children )

inline static inherited

## transform_storage()

result< TC... >::storage_type Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, GenericCompositeNodeTransformationTemplate< SourceNode, Transformation, TransformedNode >::template result >::transform_storage | ( | std::shared_ptr< const SourceNode > | s,
|  | const Transformation & | t,
|  | std::shared_ptr< TC >... | children )

inline static inherited

## Member Data Documentation

## recursive

const bool Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, GenericCompositeNodeTransformationTemplate< SourceNode, Transformation, TransformedNode >::template result >::recursive

static inherited

The documentation for this struct was generated from the following file:

- generictransformationdescriptors.hh